<!-- preloader -->
<div id="cl-loader" class="cl-loader">
    <div class="ring"></div>
</div>

<!-- report boxes -->
<div class="reports-wrapper">
    <div class="single-report filter-datepicker">
        <div class="filter-wrapper">
            <div class="from-date" data-title="<?php _e( 'From:', 'cart-lift' ); ?>">
                <input type="text" id="from" name="from" readonly>
            </div>
            <span class="divider"></span>

            <div class="to-date" data-title="<?php _e( 'To:', 'cart-lift' ); ?>">
                <input type="text" id="to" name="to" readonly>
            </div>

            <span class="filter-icon">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 18" width="20" height="18">
                    <defs>
                        <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                            <path d="M-284 -134L1036 -134L1036 843L-284 843Z" />
                        </clipPath>
                    </defs>
                    <style>
                        .bar { fill: none;stroke: #ffffff;stroke-linecap:round;stroke-linejoin:round;stroke-width: 2 }
                    </style>
                    <g id="Final" clip-path="url(#cp1)">
                        <g id="Calender">
                            <g id="Group 7">
                                <path id="Stroke 1" class="bar" d="M2 2.14L18 2.14" />
                                <path id="Stroke 3" class="bar" d="M2 15.86L7.33 15.86" />
                                <path id="Stroke 5" class="bar" d="M2 9L12.67 9" />
                            </g>
                        </g>
                    </g>
                </svg>
            </span>
        </div>
        <span class="hints"><?php echo __( 'Select date range to show reports.', 'cart-lift' ); ?></span>
    </div>

    <div class="single-report recapturable">
        <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 12 20" width="12" height="20">
                <defs>
                    <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                        <path d="M-390 -158L930 -158L930 819L-390 819Z" />
                    </clipPath>
                </defs>
                <style>
                    .recapture { fill: #6e42d3 }
                </style>
                <g id="Final" clip-path="url(#cp1)">
                    <g id="feaures">
                        <g id="1">
                            <g id="Group 2">
                                <g id="dollar-symbol">
                                    <path id="Path" class="recapture" d="M9.22 9.09C8.31 8.65 7.35 8.32 6.39 7.98C5.83 7.78 5.3 7.55 4.83 7.23C3.91 6.59 4.09 5.56 5.17 5.15C5.48 5.03 5.8 5 6.12 4.98C7.37 4.92 8.57 5.12 9.7 5.59C10.26 5.83 10.45 5.75 10.64 5.24C10.84 4.71 11.01 4.16 11.2 3.62C11.32 3.26 11.17 3.02 10.77 2.86C10.04 2.59 9.3 2.39 8.51 2.28C7.49 2.15 7.49 2.14 7.48 1.25C7.48 0 7.48 0 6.03 0C5.82 0 5.6 0 5.39 0C4.72 0.02 4.6 0.12 4.58 0.71C4.57 0.98 4.58 1.24 4.58 1.51C4.57 2.29 4.57 2.28 3.7 2.55C1.59 3.22 0.29 4.45 0.15 6.44C0.03 8.19 1.09 9.38 2.76 10.24C3.79 10.77 4.93 11.09 6.02 11.51C6.44 11.67 6.85 11.85 7.2 12.11C8.25 12.86 8.06 14.1 6.81 14.57C6.15 14.82 5.45 14.88 4.72 14.81C3.61 14.69 2.54 14.43 1.54 13.98C0.95 13.72 0.78 13.79 0.58 14.34C0.41 14.81 0.25 15.29 0.1 15.77C-0.11 16.42 -0.03 16.57 0.68 16.87C1.59 17.25 2.56 17.45 3.55 17.58C4.33 17.69 4.35 17.72 4.36 18.41C4.37 18.73 4.37 19.04 4.37 19.36C4.38 19.75 4.6 19.99 5.07 19.99C5.6 20 6.15 20 6.68 19.99C7.12 19.98 7.35 19.78 7.35 19.39C7.35 18.96 7.37 18.53 7.35 18.1C7.33 17.66 7.55 17.44 8.03 17.32C9.16 17.06 10.12 16.54 10.85 15.76C12.9 13.61 12.12 10.47 9.22 9.09Z" />
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>
        <div class="content">
            <h5 id="recapturable-revenue"><?php echo $analytics_data['recapturable_revenue']; ?></h5>
            <p class="report-title"><?php _e( 'Recoverable Revenue', 'cart-lift' ); ?></p>
        </div>
    </div>

    <div class="single-report email-send <?php echo $pro_email_sent == true ? 'email-send-pro' : ''; ?>">
        <?php
            $pro_url = add_query_arg( 'cl-dashboard', '1', 'https://rextheme.com/cart-lift' );
            if ($pro_email_sent) {
        ?>
            <a href="<?php echo $pro_url; ?>" target="_blank" title="<?php _e( 'Click to Upgrade Pro', 'cart-lift' ); ?>" class="pro-tag"><?php echo __( 'pro', 'cart-lift' ); ?></a>
        <?php } ?>

        <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 16" width="20" height="16">
                <defs>
                    <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                        <path d="M-386 -245L934 -245L934 817L-386 817Z" />
                    </clipPath>
                </defs>
                <style>
                    .sended-email { fill: #6e42d3 }
                </style>
                <g id="final" clip-path="url(#cp1)">
                    <g id="feaures">
                        <g id="1 copy">
                            <g id="Group 2">
                                <g id="Group 2">
                                    <g id="mail">
                                        <path id="Path" class="sended-email" d="M13.33 8.1L20 13L20 3L13.33 8.1Z" />
                                        <path id="Path" class="sended-email" d="M0 3L0 13L6.67 8.1L0 3Z" />
                                        <path id="Path" class="sended-email" d="M18.78 0L1.22 0C0.59 0 0.09 0.55 0 1.26L10 9L20 1.26C19.91 0.55 19.41 0 18.78 0Z" />
                                        <path id="Path" class="sended-email" d="M12.12 9L10.35 10.36C10.24 10.44 10.12 10.48 10 10.48C9.88 10.48 9.76 10.44 9.65 10.36L7.88 9L0 14.77C0.1 15.46 0.59 16 1.21 16L18.78 16C19.41 16 19.9 15.46 20 14.77L12.12 9Z" />
                                    </g>
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>

        <div class="content">
            <?php if ($pro_email_sent) { ?>
                <h5 id="total-email-sent">0</h5>
            <?php }else{ ?>
                <h5 id="total-email-sent"><?php echo $analytics_data['total_email_sent']; ?></h5>
            <?php } ?>
            <p class="report-title"><?php _e( 'Email Sent', 'cart-lift' ); ?></p>
        </div>
    </div>

    <div class="single-report recaptured">
        <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 21" width="20" height="21">
                <defs>
                    <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                        <path d="M-1032 -157L288 -157L288 820L-1032 820Z" />
                    </clipPath>
                </defs>
                <style>
                    .path-recapture { fill: #6e42d3 }
                </style>
                <g id="Final" clip-path="url(#cp1)">
                    <g id="feaures">
                        <g id="1copy3">
                            <g id="Group2">
                                <g id="Group3">
                                    <path id="Fill1" fill-rule="evenodd" class="path-recapture" d="M11.09 14.9C10.87 14.96 10.77 15.07 10.77 15.3C10.78 15.52 10.77 15.74 10.77 15.96C10.77 16.16 10.67 16.27 10.46 16.27C10.21 16.28 9.96 16.28 9.71 16.27C9.49 16.27 9.39 16.15 9.39 15.95C9.39 15.78 9.38 15.63 9.38 15.46C9.38 15.11 9.36 15.09 9 15.04C8.54 14.96 8.09 14.86 7.67 14.67C7.34 14.52 7.31 14.44 7.4 14.11C7.47 13.86 7.54 13.61 7.62 13.37C7.71 13.09 7.8 13.05 8.07 13.19C8.53 13.42 9.03 13.55 9.55 13.61C9.89 13.65 10.22 13.62 10.53 13.49C11.11 13.25 11.2 12.6 10.71 12.22C10.54 12.09 10.35 12 10.16 11.91C9.65 11.7 9.12 11.54 8.64 11.27C7.86 10.82 7.37 10.21 7.43 9.31C7.49 8.29 8.1 7.65 9.08 7.32C9.48 7.17 9.49 7.18 9.49 6.78L9.49 6.37C9.5 6.06 9.55 6.01 9.87 6C9.96 6 10.06 6 10.16 6C10.84 6 10.84 6 10.84 6.65C10.84 7.1 10.84 7.1 11.32 7.17C11.68 7.23 12.03 7.33 12.37 7.47C12.55 7.55 12.62 7.67 12.57 7.86C12.48 8.14 12.4 8.42 12.31 8.69C12.22 8.95 12.13 8.99 11.87 8.87C11.34 8.63 10.79 8.53 10.2 8.55C10.05 8.56 9.9 8.58 9.76 8.64C9.26 8.85 9.18 9.38 9.6 9.71C9.82 9.88 10.07 9.99 10.33 10.1C10.77 10.27 11.22 10.44 11.65 10.67C13 11.38 13.36 13 12.41 14.1C12.06 14.5 11.62 14.76 11.09 14.9ZM19.18 11.94C18.76 11.38 18.76 10.62 19.18 10.06L19.69 9.36C20.34 8.47 19.92 7.22 18.85 6.87L18 6.59C17.32 6.36 16.86 5.76 16.85 5.07L16.83 4.21C16.82 3.12 15.71 2.35 14.63 2.67L13.77 2.92C13.08 3.12 12.33 2.89 11.9 2.34L11.36 1.65C10.68 0.78 9.31 0.78 8.63 1.65L8.1 2.34C7.66 2.89 6.92 3.12 6.23 2.92L5.37 2.67C4.29 2.35 3.18 3.12 3.17 4.21L3.15 5.07C3.14 5.76 2.68 6.36 2 6.59L1.15 6.87C0.08 7.22 -0.34 8.46 0.31 9.36L0.82 10.06C1.24 10.62 1.24 11.38 0.82 11.94L0.31 12.65C-0.34 13.54 0.08 14.78 1.15 15.14L2 15.42C2.68 15.64 3.14 16.25 3.15 16.94L3.17 17.79C3.18 18.88 4.29 19.65 5.37 19.33L6.23 19.08C6.92 18.88 7.66 19.11 8.1 19.66L8.64 20.35C9.32 21.22 10.68 21.22 11.37 20.35L11.9 19.66C12.33 19.11 13.08 18.88 13.77 19.08L14.62 19.33C15.71 19.65 16.81 18.88 16.83 17.79L16.84 16.94C16.85 16.25 17.31 15.64 18 15.42L18.84 15.14C19.92 14.79 20.34 13.54 19.68 12.65L19.18 11.94Z" />
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>

        <div class="content">

            <h5 id="recovered-revenue"><?php echo $analytics_data['recovered']['revenue']; ?></h5>
            <p class="report-title"><?php _e( 'Recovered Revenue', 'cart-lift' ); ?></p>
        </div>
    </div>

    <div class="single-report abandoned-carts">
        <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 19 18" width="19" height="18">
                <defs>
                    <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                        <path d="M-1033 -244L287 -244L287 818L-1033 818Z" />
                    </clipPath>
                </defs>
                <style>
                    .path-carts { fill: #6e42d3 }
                </style>
                <g id="final" clip-path="url(#cp1)">
                    <g id="feaures">
                        <g id="1 copy 2">
                            <g id="Group 2">
                                <g id="shopping-basket">
                                    <path id="Path" class="path-carts" d="M17.62 6.28L14.55 6.28L11.05 0.19C10.93 -0.01 10.7 -0.06 10.53 0.08L9.91 0.59C9.74 0.73 9.7 1.01 9.82 1.21L12.73 6.28L5.27 6.28L8.18 1.21C8.3 1.01 8.26 0.73 8.09 0.59L7.47 0.08C7.3 -0.06 7.06 -0.01 6.95 0.19L3.45 6.28L0.37 6.28C0.17 6.28 0 6.48 0 6.73L0 7.63C0 7.87 0.17 8.07 0.37 8.07L0.85 8.07L3.14 16.69C3.34 17.44 3.92 17.94 4.57 17.94L13.43 17.94C14.08 17.94 14.66 17.44 14.86 16.69L17.15 8.07L17.62 8.07C17.83 8.07 18 7.87 18 7.63L18 6.73C18 6.48 17.83 6.28 17.62 6.28Z" />
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>
        <div class="content">
            <h5 id="abandoned-total"><?php echo $analytics_data['abandoned']['total']; ?></h5>
            <p class="report-title"><?php _e( 'Total Abandoned Carts', 'cart-lift' ); ?></p>
        </div>
    </div>


    <div class="single-report abandoned-revenue">
        <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 26 20" width="26" height="20">
                <defs>
                    <clipPath clipPathUnits="userSpaceOnUse" id="cp1">
                        <path d="M-383 -301L937 -301L937 676L-383 676Z" />
                    </clipPath>
                </defs>
                <style>
                    .abandoned-icon { fill: #6e42d3 }
                </style>
                <g id="Final" clip-path="url(#cp1)">
                    <g id="feaures">
                        <g id="1copy10">
                            <g id="Group2">
                                <g id="coin">
                                    <path id="Shape" fill-rule="evenodd" class="abandoned-icon" d="M15.09 15.93C15.65 16.62 16.22 17.32 16.78 18.02C15.03 19.26 12.86 20 10.5 20C4.7 20 0 15.52 0 10C0 4.48 4.7 0 10.5 0C16.3 0 21 4.48 21 10C21 10.97 20.85 11.91 20.58 12.81C20.08 13.36 19.58 13.91 19.07 14.47C19 14.54 18.93 14.63 18.85 14.7C18.76 14.63 18.67 14.56 18.57 14.49C18.09 14.14 17.58 13.76 17.07 13.4C16.74 13.17 16.42 13.05 16.09 13.05C15.56 13.05 15.19 13.35 14.95 13.58C14.87 13.66 14.81 13.72 14.76 13.79C14.37 14.24 14.32 14.82 14.65 15.3L14.69 15.36C14.81 15.55 14.94 15.74 15.09 15.93ZM12.49 9.39C11.92 9.09 11.33 8.86 10.73 8.63C10.39 8.49 10.06 8.33 9.77 8.12C9.2 7.68 9.3 6.98 9.98 6.69C10.17 6.62 10.36 6.59 10.57 6.58C11.35 6.53 12.09 6.67 12.79 6.99C13.14 7.15 13.26 7.11 13.38 6.76C13.5 6.39 13.61 6.02 13.72 5.65C13.79 5.4 13.7 5.23 13.45 5.13C13 4.94 12.54 4.8 12.05 4.73C11.41 4.64 11.42 4.63 11.41 4.03C11.41 3.17 11.41 3.17 10.51 3.17C10.38 3.17 10.25 3.16 10.12 3.17C9.69 3.18 9.62 3.25 9.61 3.65C9.61 3.83 9.61 4.02 9.61 4.2C9.61 4.73 9.61 4.72 9.07 4.91C7.76 5.37 6.95 6.21 6.86 7.57C6.79 8.78 7.45 9.59 8.48 10.18C9.13 10.54 9.83 10.76 10.51 11.04C10.77 11.15 11.02 11.28 11.25 11.45C11.9 11.96 11.78 12.82 11.01 13.14C10.59 13.31 10.16 13.35 9.71 13.3C9.01 13.21 8.35 13.04 7.73 12.73C7.36 12.55 7.26 12.6 7.13 12.98C7.03 13.3 6.94 13.63 6.84 13.96C6.71 14.4 6.76 14.51 7.2 14.71C7.77 14.97 8.37 15.11 8.98 15.2C9.47 15.27 9.48 15.29 9.49 15.77C9.49 15.98 9.49 16.2 9.49 16.41C9.5 16.68 9.64 16.84 9.93 16.85C10.26 16.86 10.6 16.86 10.93 16.85C11.2 16.84 11.34 16.7 11.34 16.43C11.34 16.14 11.36 15.84 11.34 15.55C11.33 15.25 11.46 15.09 11.77 15.01C12.46 14.83 13.06 14.47 13.52 13.95C14.79 12.48 14.3 10.33 12.49 9.39Z" />
                                    <path id="Path" class="abandoned-icon" d="M25.7 11.31C25.44 11.11 25.26 11 25.1 11C24.91 11 24.75 11.14 24.5 11.42C23.24 12.83 21.97 14.25 20.71 15.66C20.43 15.98 20.15 16.3 19.85 16.62C19.71 16.51 19.57 16.41 19.43 16.31C18.69 15.75 17.96 15.18 17.2 14.64C17.04 14.52 16.89 14.46 16.76 14.46C16.6 14.46 16.45 14.55 16.26 14.74C16.21 14.79 16.17 14.84 16.12 14.9C15.98 15.06 15.96 15.23 16.07 15.4C16.21 15.61 16.35 15.82 16.5 16.01C17.49 17.27 18.49 18.51 19.49 19.77C19.61 19.92 19.75 20 19.89 20C20.04 20 20.2 19.91 20.33 19.73C22.16 17.19 23.99 14.65 25.81 12.11C26.09 11.73 26.06 11.6 25.7 11.31Z" />
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>

        <div class="content">
            <h5 id="abandoned-revenue"><?php echo $analytics_data['abandoned']['revenue']; ?></h5>
            <p class="report-title"><?php _e( 'Total Abandoned Revenue', 'cart-lift' ); ?></p>
        </div>
    </div>

    <div class="single-report abandoned-rate">
        <div class="icon">
            <svg width="22px" height="20px" viewBox="0 0 27 22" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <g id="Report--Copy" transform="translate(-916.000000, -228.000000)" fill="#6E42D3" fill-rule="nonzero">
                        <g id="feaures" transform="translate(30.000000, 110.000000)">
                            <g id="1-copy-9" transform="translate(646.000000, 98.000000)">
                                <g id="Group-2" transform="translate(193.000000, 20.000000)">
                                    <g id="shopping-cart" transform="translate(47.000000, 0.000000)">
                                        <path d="M25.8555886,7.41608769 L20.2542068,7.41608769 L17.1120878,0.459000597 C16.9372737,0.071915008 16.4709972,-0.10497867 16.0706386,0.0641641175 C15.67028,0.233204919 15.4874503,0.684133369 15.6623172,1.07126995 L18.5278976,7.41613868 L8.47210437,7.41613868 L11.3376848,1.07126995 C11.5124989,0.684133369 11.3297219,0.233255912 10.9293633,0.0641641175 C10.5290575,-0.10497867 10.0626755,0.0718130226 9.88791416,0.459000597 L6.74579518,7.41608769 L1.14441334,7.41608769 C0.411670601,7.41608769 -0.132125232,8.05752487 0.028186961,8.73271921 L2.97787857,21.1560708 C3.0950014,21.6493742 3.5587466,22 4.09410495,22 L22.905897,22 C23.4412554,22 23.9050006,21.6493742 24.0221234,21.1560708 L26.971815,8.73271921 C27.1321272,8.05757586 26.5882786,7.41608769 25.8555886,7.41608769 Z M6.8946113,9.76195588 C6.78893182,9.76195588 6.6815121,9.74135483 6.5784166,9.69780706 C6.17805799,9.52876626 5.99522826,9.0778888 6.17009511,8.69070123 L6.76430491,7.37498757 L8.4906141,7.37498757 L7.61986577,9.30291959 C7.49008672,9.59046743 7.19952087,9.76195588 6.8946113,9.76195588 Z M9.54493044,17.920584 C9.54493044,18.3430075 9.19076706,18.6854745 8.75391633,18.6854745 C8.31706561,18.6854745 7.96290222,18.3430075 7.96290222,17.920584 L7.96290222,12.3113869 C7.96290222,11.8889634 8.31706561,11.5464964 8.75391633,11.5464964 C9.19076706,11.5464964 9.54493044,11.8889634 9.54493044,12.3113869 L9.54493044,17.920584 Z M14.2910151,17.920584 C14.2910151,18.3430075 13.9368517,18.6854745 13.500001,18.6854745 C13.0631503,18.6854745 12.7089869,18.3430075 12.7089869,17.920584 L12.7089869,12.3113869 C12.7089869,11.8889634 13.0631503,11.5464964 13.500001,11.5464964 C13.9368517,11.5464964 14.2910151,11.8889634 14.2910151,12.3113869 L14.2910151,17.920584 Z M19.0370998,17.920584 C19.0370998,18.3430075 18.6829364,18.6854745 18.2460856,18.6854745 C17.8092349,18.6854745 17.4550715,18.3430075 17.4550715,17.920584 L17.4550715,12.3113869 C17.4550715,11.8889634 17.8092349,11.5464964 18.2460856,11.5464964 C18.6829364,11.5464964 19.0370998,11.8889634 19.0370998,12.3113869 L19.0370998,17.920584 Z M20.4215326,9.69780706 C20.3184899,9.74135483 20.2110702,9.76195588 20.1053907,9.76195588 C19.8004811,9.76195588 19.5099153,9.59051842 19.3800835,9.30297058 L18.5093351,7.37503856 L20.2356443,7.37503856 L20.8298541,8.69075222 C21.004721,9.0778888 20.8218913,9.52876626 20.4215326,9.69780706 Z" id="Shape"></path>
                                    </g>
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>

        <div class="content">
            <h5 id="abandoned-carts-rate"><?php echo $analytics_data['abandoned_carts_rate']; ?></h5>
            <p class="report-title"><?php _e( 'Cart Abandoned Rate', 'cart-lift' ); ?> </p>
        </div>
    </div>

    <div class="single-report actionable-abandoned-carts">
        <div class="icon">
            <svg width="24px" height="24px" viewBox="0 0 24 24" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                <defs>
                    <polygon id="path-1" points="0 0 24 0 24 18.4067344 0 18.4067344"></polygon>
                </defs>
                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <g id="Report" transform="translate(-1030.000000, -299.000000)">
                        <g id="feaures" transform="translate(30.000000, 120.000000)">
                            <g id="1-copy-8" transform="translate(969.000000, 143.000000)">
                                <g id="Group-2" transform="translate(20.000000, 25.000000)">
                                    <g id="Group-6" transform="translate(11.000000, 11.000000)">
                                        <g id="Group-3">
                                            <mask id="mask-2" fill="white">
                                                <use xlink:href="#path-1"></use>
                                            </mask>
                                            <g id="Clip-2"></g>
                                            <path d="M23.4999844,8.00001562 L19.4693906,8.00001562 L13.8256406,0.209390625 C13.6651406,-0.015328125 13.3528594,-0.067359375 13.1281406,0.0931875 L12.3144375,0.674484375 C12.0897187,0.834984375 12.0376875,1.14726562 12.1982344,1.3719375 L16.9998281,7.99996875 L6.60529688,7.99996875 L11.4067969,1.3719375 C11.5672969,1.14726562 11.5153125,0.83503125 11.2905938,0.674484375 L10.4768906,0.0931875 C10.2521719,-0.0673125 9.93989063,-0.015328125 9.77939063,0.209390625 L4.13554688,8.00001562 L0.500015625,8.00001562 C0.223640625,8.00001562 0,8.22365625 0,8.49998437 L0,9.49996875 C0,9.77634375 0.223640625,9.99998437 0.500015625,9.99998437 L1.4955,9.99998437 L4.05960938,17.3266406 C4.17778125,17.6625937 4.38089063,17.9687344 4.67971875,18.2631562 C4.8174375,18.3989062 5.02345313,18.4423594 5.20415625,18.3754687 C5.38579687,18.3080625 5.51273438,18.1415625 5.52839063,17.9487187 C5.80959375,14.6128125 8.65139063,12 12,12 C15.3486094,12 18.1904063,14.6128125 18.4716563,17.9487187 C18.4873125,18.1416094 18.6142969,18.3081094 18.7959375,18.3754687 C18.8525156,18.3964687 18.9111094,18.4067344 18.9697031,18.4067344 C19.0986094,18.4067344 19.2255938,18.3569062 19.3203281,18.2631562 C19.6191563,17.9687344 19.8222656,17.6625469 19.9404375,17.3256562 L22.5044531,9.99998437 L23.4999844,9.99998437 C23.7763594,9.99998437 24,9.77634375 24,9.49996875 L24,8.49998437 C24,8.22365625 23.7763594,8.00001562 23.4999844,8.00001562" id="Fill-1" fill="#6E42D3" mask="url(#mask-2)"></path>
                                        </g>
                                        <path d="M12,13.4999922 C9.24340126,13.4999922 7,15.7429578 7,18.4999709 C7,21.256984 9.24344387,23.4999922 12,23.4999922 C14.7565987,23.4999922 17,21.2570266 17,18.5000135 C17,15.7430004 14.7565987,13.4999922 12,13.4999922" id="Fill-4" fill="#6E42D3"></path>
                                        <path d="M14.8535156,17.3535 L11.3535,20.8535156 C11.2558594,20.9511562 11.1278906,21 10.9999688,21 C10.8720469,21 10.744125,20.9511562 10.6464375,20.8535156 L9.1464375,19.3535156 C8.95110938,19.1581875 8.95110938,18.8417812 9.1464375,18.6465 C9.34176563,18.4512187 9.65817188,18.4511719 9.85345313,18.6465 L10.9999219,19.7929687 L14.1464063,16.6464844 C14.3417344,16.4511562 14.6581406,16.4511562 14.8534219,16.6464844 C15.0488438,16.8418125 15.0488438,17.1582187 14.8535156,17.3535" id="Path" fill="#FFFFFF"></path>
                                    </g>
                                </g>
                            </g>
                        </g>
                    </g>
                </g>
            </svg>
        </div>

        <div class="content">
            <h5 id="actionable-carts"><?php echo $analytics_data['actionable_carts']; ?></h5>
            <p class="report-title"><?php _e( 'Actionable Abandoned Carts', 'cart-lift' ); ?></p>
        </div>
    </div>

</div>

<?php
    require_once CART_LIFT_DIR . '/admin/partials/cart-lift-analytics.php';
?>
